frame

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Installation Issue

I am trying to install NCSDK on Ubuntu 16.04.3 LTS. But installation fails with the error message
"Updating udev rules...
Installation failed. Error on line 630"

Any help in this regard is appreciated.

Thanks in advance!

Comments

  • 6 Comments sorted by Votes Date Added
  • Had missed to mention in the earlier post. I am trying to install on Linux Subsystem in Windows. Through the other forums I found that there are some known issues with UDEV in Linux Subsystem in Windows and also the USB drive will not be detected.

  • Hi

    I'm experiencing the same issue. I'm using Windows 10 PC with Docker, where pulled Ubuntu:1604, cloned the NCSDK from GIT and trying to MAKE INSTALL
    Everything works well until to

    Processing ./NCSDK/ncsdk-x86_64/api
        Installing collected packages: mvnc
          Found existing installation: mvnc 1.11.0.2
            Uninstalling mvnc-1.11.0.2:
              Successfully uninstalled mvnc-1.11.0.2
          Running setup.py install for mvnc: started
            Running setup.py install for mvnc: finished with status 'done'
        Successfully installed mvnc-1.11.0.2
        You are using pip version 8.1.1, however version 9.0.1 is available.
        You should consider upgrading via the 'pip install --upgrade pip' command.
        Processing ./NCSDK/ncsdk-x86_64/api
        Installing collected packages: mvnc
          Found existing installation: mvnc 1.11.0.2
            Uninstalling mvnc-1.11.0.2:
              Successfully uninstalled mvnc-1.11.0.2
          Running setup.py install for mvnc: started
            Running setup.py install for mvnc: finished with status 'done'
        Successfully installed mvnc-1.11.0.2
        NCS Libraries have been installed in /usr/local/lib
        NCS Toolkit binaries have been installed in /usr/local/bin
        NCS Include files have been installed in /usr/local/include
        NCS Python API has been installed in /opt/movidius, and PYTHONPATH environment variable updated
        Updating udev rules...
        Installation failed. Error on line 630

    Any recommendations how to fix?

  • Has anybody found a solution? I am also running the Ubuntu subsystem for windows and getting the same error

  • @jrwright121 The NCSDK was designed to run on Ubuntu 16.04 native and on VMs on Windows 10 so installing on Windows Linux subsystem will not work at the moment. However, there is an issue with the current NCSDK version 2.05 running on VMs that we are aware of.

  • Hi guys I am getting this error as well, when I run the command on line 630 I got no error, but when I am running by make I am getting this error to. My environment is a docker container running 16.04. Any updates?

    Thanks.

  • @DaniloRodrigo I assume you are running NCSDK 1.12? Can you try using NCSDK 2 if you are using non-vm Ubuntu with docker? You can get it by using wget https://ncs-forum-uploads.s3.amazonaws.com/ncsdk/ncsdk-02_05_00_02-full/ncsdk-2.05.00.02.tar.gz. Instructions on docker installation for NCSDK 2 are at: https://movidius.github.io/ncsdk/docker.html. Let me know if these instructions work for you. Thanks.

Sign In or Register to comment.